<?php
	$db = sqlite_open("db.sqlite"); 

	if (isset($_POST['usage']))
	{
		$sql = "SELECT esp_id, esp_nom, esp_perennite, esp_prodprecoce, esp_prodete, res_avis, res_commentaire FROM especes, resultats WHERE res_usage = ".$_POST['usage']." AND res_sol = ".$_POST['sol']." AND res_avis < 3 ";
		
		if ($_POST['duree'] != 0)
		{
			if ($_POST['duree'] == 1)
			{
				$sql .= " AND esp_code_perennite = ".$_POST['duree'];
			} else
			{
				$sql .= " AND esp_code_perennite >= ".$_POST['duree'];
			}
		}
		
		if ($_POST['prodprecoce'] == 1)
		{
			$sql .= " AND esp_prodprecoce < 3";
		}
		
		if ($_POST['prodete'] == 1)
		{
			$sql .= " AND esp_prodete < 3";
		}
		
		if ($_POST['prodprecoce'] == 2)
		{
			$sql .= " AND esp_prodprecoce = 3";
		}
		
		if ($_POST['prodete'] == 2)
		{
			$sql .= " AND esp_prodete = 3";
		}
		
		$sql .= " AND esp_id = res_esp_id ORDER BY res_avis ASC";
		
		$res = sqlite_query($db, $sql);
		
		$possible = 0;
	}
	
	function checkIsSelected($form, $value)
	{
		if (isset($_POST[$form]))
		{
			if ($_POST[$form] == $value)
			{
				echo ' selected="selected"';
			}
		} else if ($form == 'usage' && $value == 2)
		{
			echo ' selected="selected"';
		} else if ($form == 'sol' && $value == 2)
		{
			echo ' selected="selected"';
		} else if ($form == 'duree' && $value == 0)
		{
			echo ' selected="selected"';
		} else if ($form == 'prodprecoce' && $value == 0)
		{
			echo ' selected="selected"';
		} else if ($form == 'prodete' && $value == 0)
		{
			echo ' selected="selected"';
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
		<title>Aide au choix des esp&egrave;ces</title>
		<style type="text/css" media="all">@import "css/base.css";</style>
		<style type="text/css" media="all">@import "css/menu_choix.css";</style>
		<style type="text/css" media="all">@import "css/table.css";</style>
	</head>
	<script type="text/javascript">
		var stripe = function() {
		var tables = document.getElementsByTagName("table");  
		
		  for(var x=0;x!=tables.length;x++){
			var table = tables[x];
			if (! table) { return; }
			
			var tbodies = table.getElementsByTagName("tbody");
			
			for (var h = 0; h < tbodies.length; h++) {
			  var even = true;
			  var trs = tbodies[h].getElementsByTagName("tr");
			  
			  for (var i = 0; i < trs.length; i++) {
				/*
				trs[i].onmouseover=function(){
				  this.className += " ruled"; return false
				}
				trs[i].onmouseout=function(){
				  this.className = this.className.replace("ruled", ""); return false
				}
				*/
				if(even)
				  trs[i].className += " even";
				
				even = !even;
			  }
			}
		  }
		}
		
		window.onload = stripe;

	</script>
	<body bgcolor="#024231">
		<a name="top" />
		<div id="container">
			<div id="header_choix">
				<div id="navcontainer">
					<ul id="navlist">
						<li id="selection"><a href="http://www.plantesfourrageres.org/pages/selection.htm" title="Selection"><span>Selection</span></a></li>
						<li id="production"><a href="http://www.plantesfourrageres.org/pages/production.htm" title="Production"><span>Production</span></a></li>
						<li id="implantation"><a href="http://www.plantesfourrageres.org/pages/implantation.htm" title="Implantation"><span>Implantation</span></a></li>
						<li id="diagnostic"><a href="http://www.plantesfourrageres.org/pages/diagnostic.htm" title="Diagnostic"><span>Diagnostic</span></a></li>
						<li id="choixactif"><a href="index.php" title="Choix des especes"><span>Choix des especes</span></a></li>
					</ul>
				</div>
			</div>
			<div id="main">
				<form action="index.php" method="post">
				<h1 id="aide"><span>Quelles esp&egrave;ces fourrag&egrave;res semer ?</span></h1>
				<p class="textagauch">1. Choisissez l'usage pr&eacute;vu pour votre prairie :<br />
				<select id="usage" name="usage">
					<option value="1"<?php checkIsSelected('usage', 1); ?>>P&acirc;turage</option>
					<option value="2"<?php checkIsSelected('usage', 2); ?>>P&acirc;turage + fauche</option>
					<option value="3"<?php checkIsSelected('usage', 3); ?>>Fauche</option>
				</select>
				</p>
				<p class="textagauch">2. S&eacute;lectionnez la nature du sol de votre parcelle :<br />
				<select id="sol" name="sol">
					<option value="1"<?php checkIsSelected('sol', 1); ?>>Humide l'hiver, s&eacute;chant l'&eacute;t&eacute;</option>
					<option value="2"<?php checkIsSelected('sol', 2); ?>>Humide l'hiver, frais l'&eacute;t&eacute;</option>
					<option value="3"<?php checkIsSelected('sol', 3); ?>>Sain l'hiver, s&eacute;chant l'&eacute;t&eacute;</option>
					<option value="4"<?php checkIsSelected('sol', 4); ?>>Sain l'hiver, frais l'&eacute;t&eacute;</option>
				</select>
				</p>
				<p class="textagauch">3. Quelle dur&eacute;e envisagez-vous pour votre prairie :<br />
				<select id="duree" name="duree">
					<option value="0"<?php checkIsSelected('duree', 0); ?>>Indiff&eacute;rent</option>
					<option value="1"<?php checkIsSelected('duree', 1); ?>>Moins de 3 ans</option>
					<option value="2"<?php checkIsSelected('duree', 2); ?>>3 &agrave; 5 ans</option>
					<option value="3"<?php checkIsSelected('duree', 3); ?>>Plus de 5 ans</option>
				</select>
				</p>
				<p class="textagauch">4. Souhaitez vous :<br />
				&nbsp;&nbsp;&nbsp;&nbsp;- Une production pr&eacute;coce au printemps :
				<select id="prodprecoce" name="prodprecoce">
					<option value="0"<?php checkIsSelected('prodprecoce', 0); ?>>Indiff&eacute;rent</option>
					<option value="1"<?php checkIsSelected('prodprecoce', 1); ?>>Oui</option>
					<option value="2"<?php checkIsSelected('prodprecoce', 2); ?>>Non</option>
				</select><br />
				&nbsp;&nbsp;&nbsp;&nbsp;- Une production en &eacute;t&eacute; :
				<select id="prodete" name="prodete">
					<option value="0"<?php checkIsSelected('prodete', 0); ?>>Indiff&eacute;rent</option>
					<option value="1"<?php checkIsSelected('prodete', 1); ?>>Oui</option>
					<option value="2"<?php checkIsSelected('prodete', 2); ?>>Non</option>
				</select>
				</p>
				<p class="center2">
					<input type="submit" id="submit" name="submit" value="Chercher" />
				</p>
				</form>
				<?php
					if (isset($_POST['usage']))
					{
						if (sqlite_num_rows($res) > 0)
						{
				?>
				<p class="texte"></p>
				<p class="info">
					<img src="img/legende1.gif"> <b>Recommand&eacute; pour une production pr&eacute;coce au printemps</b><br />
					<img src="img/legende2.gif"> <b>Possible pour une production pr&eacute;coce au printemps</b><br />
					<img src="img/legendeete1.gif"> <b>Donne une production en &eacute;t&eacute;</b><br />
				</p>
				<?php
							$res = sqlite_fetch_all($res, SQLITE_ASSOC);
							
							if ($res[0]['res_avis'] == 1)
							{
				?>
				<table cellspacing="0">
				<thead>
				<tr>
					<td>Esp&egrave;ces recommand&eacute;es</td>
					<td class="picto"></td>
					<td class="picto"></td>
					<td>P&eacute;rennit&eacute;</td>
					<td>Remarque</td>
				</tr>
				</thead>
				<tbody>
				<?php
								foreach ($res as $result)
								{
									if ($result['res_avis'] == 1)
									{
				?>
				<tr>
					<td><?php echo "<a href=\"#\" onClick=\"MyWindow=window.open('fiches_especes/".$result['esp_id'].".htm','','toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=615,height=400,left=20,top=20'); return false;\">".$result['esp_nom']."</a></td>"; ?>
					<td class="picto">
					<?php
						if ($result['esp_prodprecoce'] < 3)
						{
							echo '<img src="img/legende'.$result['esp_prodprecoce'].'.gif"><br />';
						}
					?>
					</td>
					<td class="picto">
					<?php
						if ($result['esp_prodete'] < 3)
						{
							echo '<img src="img/legendeete1.gif"><br />';
						}
					?>
					</td>
					<td><?php echo $result['esp_perennite']; ?></td>
					<td><?php echo $result['res_commentaire']; ?></td>
				</tr>
				<?php
									} else
									{
										$possible = 1;
									}
								}
				?>
				</tbody>
			</table>
			<?php
							}
							
							if ($possible == 1 || $res[0]['res_avis'] == 2)
							{
			?>
			<p class="texte"></p>
			<table cellspacing="0">
				<thead>
				<tr>
					<td>Esp&egrave;ces possibles</td>
					<td class="picto"></td>
					<td class="picto"></td>
					<td>P&eacute;rennit&eacute;</td>
					<td>Remarque</td>
				</tr>
				</thead>
				<tbody>
				<?php
								foreach ($res as $result)
								{
									if ($result['res_avis'] == 2)
									{
				?>
				<tr>
					<td><?php echo "<a href=\"#\" onClick=\"MyWindow=window.open('fiches_especes/".$result['esp_id'].".htm','','toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=615,height=400,left=20,top=20'); return false;\">".$result['esp_nom']."</a></td>"; ?>
					<td class="picto">
					<?php
						if ($result['esp_prodprecoce'] < 3)
						{
							echo '<img src="img/legende'.$result['esp_prodprecoce'].'.gif"><br />';
						}
					?>
					</td>
					<td class="picto">
					<?php
						if ($result['esp_prodete'] < 3)
						{
							echo '<img src="img/legendeete1.gif"><br />';
						}
					?>
					</td>
					<td><?php echo $result['esp_perennite']; ?></td>
					<td><?php echo $result['res_commentaire']; ?></td>
				</tr>
				<?php
									}
								}
				?>
				</tbody>
			</table>
			<?php
							}						
						} else 
						{
							echo '<p class="alerte">Aucune esp&egrave;ce ne correspond &agrave; vos crit&egrave;res.</p>';
						}
					}
			?>
			</div>
		<div id="footer"><img src="img/footer.jpg" alt="footer" /></div>
		<div id="menu_gauche">
			<div id="navgauche">
				<ul id="navgauchelist">
					<li class="current"><a href="index.php" title="Aide au choix">Aide au choix</a></li>
					<li><a href="http://www.plantesfourrageres.org/pages/caracteristiques.htm" title="Les principales esp&egrave;ces et les crit&egrave;res de choix des vari&eacute;t&eacute;s">Les principales esp&egrave;ces et les crit&egrave;res de choix des vari&eacute;t&eacute;s</a></li>
					<li><a href="http://www.plantesfourrageres.org/pages/melanges.htm" title="Les m&eacute;langes d'esp&egrave;ces">Les m&eacute;langes d'esp&egrave;ces</a></li>
					<li><a href="http://www.plantesfourrageres.org/pages/specifiques.htm" title="Prairies sp&eacute;cifiques">Prairies sp&eacute;cifiques</a></li>
					<li><a href="http://www.plantesfourrageres.org/pages/lexique.htm" title="Lexique">Lexique</a></li>
					<li><a href="http://www.plantesfourrageres.org/pages/lienschoix.php" title="Liens">Liens</a></li>
				</ul>
			</div>
			<a href="http://www.plantesfourrageres.org/pages/actu.php?cat=3"><img src="img/bouton_actu.gif" alt="Actualit&eacute;s" class="actu" /></a><br /><br />
			<p id="sousmenu">
				<a href="mailto:contact@plantesfourrageres.org" class="lien_contact">Contact</a><br /><br />
				<a href="http://www.plantesfourrageres.org/pages/mentions.htm">Mentions l&eacute;gales</a><br />
				<a href="http://www.plantesfourrageres.org">Accueil</a><br />
			</p>
			<a href="http://www.gnis.fr" target="_blank"><img src="img/logo_gnis.jpg" class="actu" /></a>
		</div>
		</div>
	</body>
</html>